Read a list of who's out of the office.

Returns time off information for a given date range, only for the users the Service User can access.

Possible time off request types:

  • days: the request is for X days.
  • hours: the request is for X hours during the requested day (supported only for policy types measured in hours).
  • portionOnRange: the request is for every morning or every afternoon during the requested days.
  • hoursOnRange: the request is for X hours every day during the requested days.
  • differentDayDurations: the request is for a different amount of hours on each requested day.
  • specificHoursDayDurations: the request is for specific hours per day.
  • differentSpecificHoursDayDurations: the request is for different specific hours or portions on each day.
  • percentageOnRange: the request is for X percent of every day during the requested days.
  • openEnded: the request does not have an end date yet.
Each request type is represented by a separate schema with the relevant fields.

Durations and cost:

  • This endpoint returns daily durations only for requests that use day-by-day duration configurations, including: DifferentDayDurations, specificHoursDayDurations, differentSpecificHoursDayDurations.
  • These durations do not include a daily cost breakdown.
  • All requests return totalCost, which represents the amount deducted from the balance for the whole request.
  • To retrieve the cost per day, use Get the details of an existing time off request. with includeDailyDurations=true.

Notes:

  • Only active users are included in the response.
  • Permissions: Follow the Time off API Required Permissions instructions to ensure the service user has the required permissions.
  • Parameters: The data returned is subject to the parameters used and the permissions granted to the service user. Make sure the relevant permissions are set when using the includePrivate and includePending flags.
Query Params
date
required

Start period date

date
required

End period date

boolean
Defaults to false

Include Hourly Requests

boolean
Defaults to false

This flag determines whether to return private requests and which name to display in the policyTypeDisplayName field.

  • false:
    Exclude requests with private visibility.
    For policies with 'public' visibility, return the 'custom' name in the policyTypeDisplayName field.
  • true (requires permissions as listed in the endpoint's description):
    Include requests with private visibility.
    Always return the original name (not the 'custom' name) in the policyTypeDisplayName field. Note: when using the includePrivate flag, the original policy name may include sensitive information.

boolean
Defaults to false

Include Pending Requests

boolean
Defaults to true

Determines whether to include requests linked to “working” policy types, such as Work From Home (WFH) or business travel. These requests are reported as time off but do not represent actual leave.

  • true (default): Include all time off requests, including those linked to working policy types (where the policy type's activity=workTime).
  • false: Exclude requests linked to working policy types. Only non-working time off requests (holidays, sick leave, unpaid leave, etc.) will be returned (where the policy type's activity = paidTimeoff or unpaidTimeoff.
    To learn more, see Time off policy type settings.

Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json